javax.security.cert

## Class CertificateNotYetValidException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.security.cert.CertificateException
      - - javax.security.cert.CertificateNotYetValidException

All Implemented Interfaces:
  Serializable

    public class CertificateNotYetValidException
    extends CertificateException

Certificate is not yet valid exception. This is thrown whenever the current `Date` or the specified `Date` is before the `notBefore` date/time in the Certificate validity period.

Note: The classes in the package `javax.security.cert` exist for compatibility with earlier versions of the Java Secure Sockets Extension (JSSE). New applications should instead use the standard Java SE certificate classes located in `java.security.cert`.

Since:
  1.4
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CertificateNotYetValidException()` Constructs a CertificateNotYetValidException with no detail message.
`CertificateNotYetValidException(String message)` Constructs a CertificateNotYetValidException with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CertificateNotYetValidException

    public CertificateNotYetValidException()

Constructs a CertificateNotYetValidException with no detail message. A detail message is a String that describes this particular exception.

#### CertificateNotYetValidException

    public CertificateNotYetValidException(String message)

Constructs a CertificateNotYetValidException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `message` - the detail message.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.